Campaign applications

Submit an applicant from the brand's own form into a campaign (idempotent per email and campaign)

POST/api/public/v1/campaign_applications
LiveAnswers from your brand's records now.

Operation id createCampaignApplication

Request

curl

curl -X POST "https://creator.growthdept.ai/api/public/v1/campaign_applications" \
  -H "Authorization: Bearer gdc_..." \
  -H "Content-Type: application/json" \
  -d '{"campaign_id":1024,"client_ip_address":"string","client_user_agent":"string","created_at":"2026-11-01T15:04:05Z","email":"creator@example.com","enriched_at":"2026-11-01T15:04:05Z","event_id":"string","event_name":"Example name","event_source_url":"https://example.com/p/1","fbc":"string","fbclid":"string","fbp":"string","first_name":"Example name","follower_count":3,"id":1024,"last_name":"Example name","likes_count":3,"referrer":"string","tiktok_handle":"string","tiktok_verified":3,"utm_campaign":"string","utm_content":"string","utm_medium":"string","utm_source":"string","utm_term":"string","video_count":3}'

Request body

FieldTypeNotes
campaign_idintegerrequired
client_ip_addressstring
client_user_agentstring
created_atstring
emailstringrequired
enriched_atstring
event_idstring
event_namestring
event_source_urlstring
fbcstring
fbclidstring
fbpstring
first_namestring
follower_countinteger
idinteger
last_namestring
likes_countinteger
referrerstring
tiktok_handlestring
tiktok_verifiedinteger
utm_campaignstring
utm_contentstring
utm_mediumstring
utm_sourcestring
utm_termstring
video_countinteger

Example

{
  "campaign_id": 1024,
  "client_ip_address": "string",
  "client_user_agent": "string",
  "created_at": "2026-11-01T15:04:05Z",
  "email": "creator@example.com",
  "enriched_at": "2026-11-01T15:04:05Z",
  "event_id": "string",
  "event_name": "Example name",
  "event_source_url": "https://example.com/p/1",
  "fbc": "string",
  "fbclid": "string",
  "fbp": "string",
  "first_name": "Example name",
  "follower_count": 3,
  "id": 1024,
  "last_name": "Example name",
  "likes_count": 3,
  "referrer": "string",
  "tiktok_handle": "string",
  "tiktok_verified": 3,
  "utm_campaign": "string",
  "utm_content": "string",
  "utm_medium": "string",
  "utm_source": "string",
  "utm_term": "string",
  "video_count": 3
}

Responses

200Success

FieldTypeNotes
dataobject

Example

{
  "data": {}
}

201Success

FieldTypeNotes
dataobject
data.campaign_idinteger
data.createdboolean
data.invitation_idinteger
data.statusstring
data.user_idinteger

Example

{
  "data": {
    "campaign_id": 1024,
    "created": true,
    "invitation_id": 1024,
    "status": "string",
    "user_id": 1024
  }
}

Errors: 401403404422with an error and usually a message. See errors.

Example values are made up from each field's type and name.